Loading...
Searching...
No Matches
ON_TextExtra Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h>`

Inheritance diagram for ON_TextExtra:

## Public Member Functions

| ON_TextExtra ()
| ~ON_TextExtra ()
void | SetDefaults ()
void | Dump (ON_TextLog &text_log) const
unsigned int | SizeOf () const
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
ON_BOOL32 | GetDescription (ON_wString &description)
ON_BOOL32 | Archive () const
ON_UUID | ParentUUID () const
void | SetParentUUID (ON_UUID parent_uuid)
bool | DrawTextMask () const
void | SetDrawTextMask (bool bDraw)
int | MaskColorSource () const
void | SetMaskColorSource (int source)
ON_Color | MaskColor () const
void | SetMaskColor (ON_Color color)
double | MaskOffsetFactor () const
void | SetMaskOffsetFactor (double offset)
Public Member Functions inherited from ON_UserData
| ON_UserData ()
| ON_UserData (const ON_UserData &)
ON_UserData & | operator= (const ON_UserData &)
| ~ON_UserData ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &text_log) const
unsigned int | SizeOf () const
ON_Object * | Owner () const
ON_UserData * | Next () const
ON_UUID | UserDataClassUuid () const
ON_BOOL32 | IsUnknownUserData () const
virtual ON_BOOL32 | Transform (const ON_Xform &)
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Static Public Member Functions

static ON_TextExtra * | TextExtension (class ON_TextEntity2 *pDim, bool bCreate)
static const ON_TextExtra * | TextExtension (const class ON_TextEntity2 *pDim, bool bCreate)

## Public Attributes

ON_UUID | m_parent_uuid
bool | m_bDrawMask
int | m_color_source
ON_Color | m_mask_color
double | m_border_offset
Public Attributes inherited from ON_UserData
ON_UUID | m_userdata_uuid
ON_UUID | m_application_uuid
unsigned int | m_userdata_copycount
ON_Xform | m_userdata_xform

## Detailed Description

Definition at line 84 of file opennurbs_annotation2.h.

## Constructor & Destructor Documentation

## ON_TextExtra()

ON_TextExtra::ON_TextExtra | ( |  | ) |

## ~ON_TextExtra()

ON_TextExtra::~ON_TextExtra | ( |  | ) |

## Member Function Documentation

## Archive()

ON_BOOL32 ON_TextExtra::Archive | ( |  | ) | const

virtual

Reimplemented from ON_UserData.

## DrawTextMask()

bool ON_TextExtra::DrawTextMask | ( |  | ) | const

## Dump()

void ON_TextExtra::Dump | ( | ON_TextLog & | text_log | ) | const

virtual

Reimplemented from ON_Object.

## GetDescription()

ON_BOOL32 ON_TextExtra::GetDescription | ( | ON_wString & | description | ) |

virtual

Reimplemented from ON_UserData.

## MaskColor()

ON_Color ON_TextExtra::MaskColor | ( |  | ) | const

## MaskColorSource()

int ON_TextExtra::MaskColorSource | ( |  | ) | const

## MaskOffsetFactor()

double ON_TextExtra::MaskOffsetFactor | ( |  | ) | const

## ParentUUID()

ON_UUID ON_TextExtra::ParentUUID | ( |  | ) | const

## Read()

ON_BOOL32 ON_TextExtra::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

## SetDefaults()

void ON_TextExtra::SetDefaults | ( |  | ) |

## SetDrawTextMask()

void ON_TextExtra::SetDrawTextMask | ( | bool | bDraw | ) |

## SetMaskColor()

void ON_TextExtra::SetMaskColor | ( | ON_Color | color | ) |

## SetMaskColorSource()

void ON_TextExtra::SetMaskColorSource | ( | int | source | ) |

## SetMaskOffsetFactor()

void ON_TextExtra::SetMaskOffsetFactor | ( | double | offset | ) |

## SetParentUUID()

void ON_TextExtra::SetParentUUID | ( | ON_UUID | parent_uuid | ) |

## SizeOf()

unsigned int ON_TextExtra::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## TextExtension() [1/2]

static ON_TextExtra * ON_TextExtra::TextExtension | ( | class ON_TextEntity2 * | pDim,
|  | bool | bCreate
| ) |  |

static

## TextExtension() [2/2]

static const ON_TextExtra * ON_TextExtra::TextExtension | ( | const class ON_TextEntity2 * | pDim,
|  | bool | bCreate
| ) |  |

static

## Write()

ON_BOOL32 ON_TextExtra::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_bDrawMask

bool ON_TextExtra::m_bDrawMask

Definition at line 135 of file opennurbs_annotation2.h.

## m_border_offset

double ON_TextExtra::m_border_offset

Definition at line 142 of file opennurbs_annotation2.h.

## m_color_source

int ON_TextExtra::m_color_source

Definition at line 137 of file opennurbs_annotation2.h.

## m_mask_color

ON_Color ON_TextExtra::m_mask_color

Definition at line 140 of file opennurbs_annotation2.h.

## m_parent_uuid

ON_UUID ON_TextExtra::m_parent_uuid

Definition at line 133 of file opennurbs_annotation2.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_annotation2.h